custom viewports?

Hello we recently learned paper space at work after having plotted from model for years. However we are still having trouble with some
layouts that sprawl down at angles and then go back up almost in stretched U shape. Is there any way to have a viewport other then 4 straight sides. In other words can I make a U shaped view port or a view port with a curved top?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

In newer versions, yes.
An old trick before this was possible was to copy a viewport in place, and then stretch one of them so that the two make an "L", overlapping. 3 could make a "U". They have to be on a layer that's off, or on DEFPOINTS to work, but work it does. Just don't expect to pan in one of them...
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

If you use the full version of AutoCAD you can create a viewport with as many straight sides as you want using View , Viewports , Polygonal Viewport from the pull-down menu.
This is not available in AutoCAD LT
Darren
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Apart from the polygonal viewport it is also possible to convert any closed polyline in paper space to a viewport using View , Viewport , Object from the pull down menu
Ether
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Why, what did you gain by using layout?
We still use model only.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
wrote:

Drawings of different scales, on the same sheet, but all drawn at 1:1?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
On Wed, 20 Jun 2007 13:20:58 -0400, "Michael Bulatovich"

I have never seen that done in my profession (architecture), nor did i do something like that, so i'm not really sure how much time that would save.
Why would you want the same thing, on one sheet of paper, in different scales? Where is that used?
Question comes to mind. What happens to dimensions in viewports with different scales?
I draw in 1:1, use my standard dimension style which plots dimensions 2mm high. Plot from model in scale 1:10, which gives me drawing in 1:100 on paper.
Are all dimensions done in paper mode, when using layout?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
wrote:

What kind of work are you doing?

"the same thing" in plan, section and elevation. Done in architecture all the time.

Sometimes. If done in modelspace, text and dimstyles are developed and used for the scale that the view is plotted. I could send you a simple file that would answer most questions you have. Go to my site and email me.
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
On Wed, 20 Jun 2007 15:03:49 -0400, "Michael Bulatovich"

Mostly family houses. I am not an architect though, one step down (no adequate translation for my profession).

Here in Europe that is done very rarely. I don't think i'v ever seen plan, elevation and section on one sheet. I did, but only on old projects (1980s and older). Now, every drawing goes on its own paper. But even than, and now i'm really confused, you still have to actually draw plan, and section, and elevation. And than just place it every in its own viewport.
How is that different from simply drawing a paper boundaries in model, place each drawing where you want it, and plot? Just the same as if you'r using viewports. And why would that be better?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
wrote:

Like I said: email me and I'll send you a file. There are many, many benefits.
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

We used model only for years, but we had to break our layouts out of the main layout and put sections into sheets for the required plot scales. We do large Civil Engineering project layouts that cover a mile or more. With Paper Space we can keep the layout in tack and still plot it in separate sheets. Or at least if the layout lends itself to easy split up. I'm still having issues with L shaped and U shaped layouts in R14 cad.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
This is a multi-part message in MIME format. --------------090500000209000500050603 Content-Type: text/plain; charset=ISO-8859-1; format=flowed Content-Transfer-Encoding: 7bit
The-trooper wrote:

the answer is both yes and no. it almost gets religious, so believe what you want. here is my take.
autocad is a database. it creates a mathematical model of SOMETHING. what you are modeling is very important when creating your database. but the model is not a drawing. you produce a drawing set from the model. the purposes are quite different. the model could have many uses and never get printed.
the presentation on paper - by creating a "paper space" the programmers simply gave you tools to separate into two parts the job you seem to be considering to be but one. which is cool, I am quite certain this works for you.
I ventured into paper space because it was there. I changed the way I work, and I see the benefits. but we neither of us has the knowledge of the other's modus operandi to really quantify the potential benefits. you would just have to try it. while I was learning it, in an engineering office, I was finding that it was somehow to difficult for the architects we worked with at the time. they were awful slow to come around - and they weren't exactly silly. just not computer types. old dogs - new trick.
I only say that to point out that paper space even then did not seem to be for everybody.
but it was just yesterday that I needed to change the paper size a job required, just before it became final. I had to bump up from D size to E. I wrote this.....
(defun c:D2E ( / them count ent new old)
(setvar "limmax" (list 42 30))
(setq them (ssget "X" '((0 . "INSERT") (2 . "title-d"))) count (sslength them) ) (repeat count (setq count (- count 1) ent (entget (ssname them count)) new (cons 2 "title-e") old (assoc 2 ent) ent (subst new old ent) ) (entmod ent) )
(setq them (ssget "X" '((0 . "INSERT") (2 . "disclaimer"))) count (sslength them) ) (repeat count (setq count (- count 1) ent (entget (ssname them count)) new (list 10 36.0 1.125 0.0) old (assoc 10 ent) ent (subst new old ent) ) (entmod ent) ) (princ) )
and all my pages were updated in a twinkling. maybe I could have done something similar in model space, but this was easy. ( yes, the resetting of LIMMAX only works for the page you are on. it's beta, OK? not meant for prime time. )
but I think it's a good example. IT'S A DATABASE. not a drawing. the advantages are for you to find.
HEY MICHAEL ! got the routine I use to draw windows in elevation to accept defaults for ALL the user input. that was a tussel. had to relearn INITGET and keep track of when it was GETINT or GETREAL or GETSTRING because displaying the variables as text on the command line used some of each.... I had never needed EVAL before.
(cond ((= typ "C") (initget "R L N") (setq hinge (getkword (strcat "\n Hinge? Right/Left/None: < "(eval def_hinge)" > : ")) ) (if (= hinge nil) (setq hinge def_hinge) (setq def_hinge hinge) ) ) )
but I am feeling pretty good about that one. onward. it does not draw twin or triple windows, yet.
cheers.
roy
--------------090500000209000500050603 Content-Type: text/html; charset=ISO-8859-1 Content-Transfer-Encoding: 7bit
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> <html> <head> <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type"> </head> <body bgcolor="#ffffff" text="#000000"> <font face="Arial">The-trooper wrote:</font> <blockquote cite=" snipped-for-privacy@4ax.com" type="cite"> <pre wrap=""><font face="Arial">On Sun, 17 Jun 2007 13:08:50 -0400, "JG" &lt;NoMail@NoSpam&gt; wrote:
</font></pre> <blockquote type="cite"> <pre wrap=""><font face="Arial">Hello we recently learned paper space at work </font></pre> </blockquote> <pre wrap=""><!----><font face="Arial"> Why, what did you gain by using layout?
We still use model only. </font></pre> </blockquote> the answer is both yes and no. it almost gets religious, so believe what you want.<br> here is my take.<br> <br> autocad is a database. it creates a mathematical model of SOMETHING. what you are modeling is very important when creating your database.<br> but the model is not a drawing. you produce a drawing set from the model. the purposes are quite different. the model could have many uses and never get printed.<br> <br> the presentation on paper - by creating a "paper space" the programmers simply gave you tools to separate into two parts the job you seem to be considering to be but one.<br> which is cool, I am quite certain this works for you.<br> <br> I ventured into paper space because it was there. I changed the way I work, and I see the benefits. but we neither of us has the knowledge of the other's modus operandi to really quantify the potential benefits. you would just have to try it. while I was learning it, in an engineering office, I was finding that it was somehow to difficult for the architects we worked with at the time.<br> they were awful slow to come around - and they weren't exactly silly. just not computer types. old dogs - new trick. <br> <br> I only say that to point out that paper space even then did not seem to be for everybody. <br> <br> but it was just yesterday that I needed to change the paper size a job required, just before it became final. I had to bump up from D size to E. I wrote this.....<br> <br> <font color="#990000">(defun c:D2E ( / them count ent new old)<br> <br> &nbsp; (setvar "limmax" (list 42 30))<br> <br> &nbsp; (setq&nbsp;&nbsp;&nbsp; them&nbsp; (ssget "X" '((0 . "INSERT") (2 . "title-d")))<br> &nbsp;&nbsp;&nbsp; count (sslength them)<br> &nbsp; )<br> &nbsp; (repeat count<br> &nbsp;&nbsp;&nbsp; (setq count&nbsp;&nbsp;&nbsp; (- count 1)<br> &nbsp;&nbsp;&nbsp; &nbsp; ent&nbsp;&nbsp;&nbsp; (entget (ssname them count))<br> &nbsp;&nbsp;&nbsp; &nbsp; new&nbsp;&nbsp;&nbsp; (cons 2 "title-e")<br> &nbsp;&nbsp;&nbsp; &nbsp; old&nbsp;&nbsp;&nbsp; (assoc 2 ent)<br> &nbsp;&nbsp;&nbsp; &nbsp; ent&nbsp;&nbsp;&nbsp; (subst new old ent)<br> &nbsp;&nbsp;&nbsp; )<br> &nbsp;&nbsp;&nbsp; (entmod ent)<br> &nbsp; )<br> <br> &nbsp; (setq&nbsp;&nbsp;&nbsp; them&nbsp; (ssget "X" '((0 . "INSERT") (2 . "disclaimer")))<br> &nbsp;&nbsp;&nbsp; count (sslength them)<br> &nbsp; )<br> &nbsp; (repeat count<br> &nbsp;&nbsp;&nbsp; (setq count&nbsp;&nbsp;&nbsp; (- count 1)<br> &nbsp;&nbsp;&nbsp; &nbsp; ent&nbsp;&nbsp;&nbsp; (entget (ssname them count))<br> &nbsp;&nbsp;&nbsp; &nbsp; new&nbsp;&nbsp;&nbsp; (list 10 36.0 1.125 0.0)<br> &nbsp;&nbsp;&nbsp; &nbsp; old&nbsp;&nbsp;&nbsp; (assoc 10 ent)<br> &nbsp;&nbsp;&nbsp; &nbsp; ent&nbsp;&nbsp;&nbsp; (subst new old ent)<br> &nbsp;&nbsp;&nbsp; )<br> &nbsp;&nbsp;&nbsp; (entmod ent)<br> &nbsp; )<br> &nbsp; (princ)<br> )<br> <br> <font color="#000000">and all my pages were updated in a twinkling. maybe I could have done something similar in model space, but this was easy.<br> ( yes, the resetting of LIMMAX only works for the page you are on. it's beta, OK? not meant for prime time. )<br> <br> but I think it's a good example. IT'S A DATABASE. not a drawing. the advantages are for you to find.<br> <br> HEY MICHAEL !<br> got the routine I use to draw windows in elevation to accept defaults for ALL the user input. that was a tussel. <br> had to relearn INITGET and keep track of when it was GETINT or GETREAL or GETSTRING because displaying the variables as text on the command line used some of each....<br> I had never needed EVAL before.<br> <font color="#990000"><br> &nbsp;(cond&nbsp;&nbsp;&nbsp; ((= typ "C")<br> &nbsp;&nbsp;&nbsp; &nbsp;(initget "R L N")<br> &nbsp;&nbsp;&nbsp; &nbsp;(setq hinge (getkword (strcat "\n Hinge? Right/Left/None: &lt; "(eval def_hinge)" &gt; : "))<br> &nbsp;&nbsp;&nbsp; &nbsp;)<br> &nbsp;&nbsp;&nbsp; &nbsp;(if (= hinge nil)<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; (setq hinge def_hinge)<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; (setq def_hinge hinge)<br> &nbsp;&nbsp;&nbsp; &nbsp;)<br> &nbsp;&nbsp;&nbsp; )<br> &nbsp; )</font><br> <br> but I am feeling pretty good about that one. onward. it does not draw twin or triple windows, &nbsp;&nbsp; yet.<br> <br> cheers.<br> <br> roy<br> </font></font> </body> </html>
--------------090500000209000500050603--
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.